> For the complete documentation index, see [llms.txt](https://docs.authgear.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.authgear.com/reference/apis/admin-api/api-schema.md).

# API Schema

## Specification overview

The Authgear Admin API follows **GraphQL Cursor Connections Specification** to handle pagination of results.

Read more about the Connection model to understand the types like "**Edge**", "**Node**", and "**Cursor**" in [GraphQL Cursor Connections Specification](https://relay.dev/graphql/connections.htm).

## Allowed Operations

**Queries** and **mutations** are allowed in the Admin API

## Schema

Download the latest schema here:

:book:[ adminapi/schema.graphql](https://github.com/authgear/authgear-server/blob/main/portal/src/graphql/adminapi/schema.graphql)

You can interactively access the same schema via the [Explorer Doc sidebar](/reference/apis/admin-api.md#api-explorer)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.authgear.com/reference/apis/admin-api/api-schema.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
